2 files changed, 15 insertions, 1 deletions
diff --git a/.ci/format.sh b/.ci/format.sh
index cdbc0464..2d922ee1 100755
--- a/.ci/format.sh
+++ b/.ci/format.sh
@@ -7,7 +7,7 @@
set -eu
-FILES=$(find src -type f -type f \( -iname "*.cpp" -o -iname "*.h" \))
+FILES=$(find src -type f \( -iname "*.cpp" -o -iname "*.h" \))
for f in $FILES
do
diff --git a/.ci/licenses.sh b/.ci/licenses.sh
new file mode 100755
index 00000000..cdcd305f
--- /dev/null
+++ b/.ci/licenses.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+
+# Runs the license update
+# Return codes:
+# - 1 there are files to be formatted
+# - 0 everything looks fine
+
+set -eu
+
+FILES=$(find src resources/qml -type f \( -iname "*.cpp" -o -iname "*.h" -o -iname "*.qml" \))
+
+reuse addheader --copyright="Nheko Contributors" --license="GPL-3.0-or-later" $FILES
+
+git diff --exit-code
|